Bug 102464 - Unable to activate ISDN interface with redhat-config-network
Unable to activate ISDN interface with redhat-config-network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 11:15 EDT by Francesco Parisi
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 09:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Parisi 2003-08-15 11:15:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When I try to activate an ISDN interface (previously configured) by mean of 
redhat-config-network I get an error "Unable to activate interface". The ISDN 
passive card is an Asuscom PCI internal (HiSax #35)




Version-Release number of selected component (if applicable):
rhpl-0.93.4-1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.I installed latest package redhat-config-network released on 11st August 
(rhpl-0.93)
2.I configured ISDN interface: the informations filled are correct 
3. I'm not unable to activate ISDN interface; dmesg says me:
"isdn_ppp-bind: Can't find a (free) connection to the ipppd daemon"
and also "ppp lacks supports"

    

Additional info:
Comment 1 Francesco Parisi 2003-08-17 03:11:38 EDT
I fixed bug installing latest versions found here:

ftp://people.redhat.com/harald/redhat-config-network/1.2.14-RH9

But still it doesn't work properly:

1. the connection is very very slow (under RH 8.0 the speed was excellent)
tried several connection (then several IP numbers); tried under Windows 2000 
Professional the ISP works fine.


2. appears another bug, always running redhat-config-network. 

When I click on the button "configure" the dialog stucks; it doesn't appears 
nothing. Only after some minute appears the configuration dialog and sometime 
the application crash with the following message:

Component: redhat-config-network
Version: 1.2.14
Summary: TBe4037beb redhat-control-
network:340:hydrateProfiles:AttributeError: 'NoneType' object has no 
attribute 'hide'
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 224, in 
on_configureButton_clicked
    self.hydrateProfiles(refresh = TRUE)
  File "/usr/bin/redhat-control-network", line 340, in hydrateProfiles
    self.xml.get_widget('profileFrame').hide()
AttributeError: 'NoneType' object has no attribute 'hide'

Local variables in innermost frame:
profilelist: ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=macumba
ProfileList.default.HostsList.1.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.2=localhost
ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.ActiveDevices.2=NGI
ProfileList.default.DNS.SecondaryDNS=194.20.8.1
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.PrimaryDNS=213.92.5.54
ProfileList.default.DNS.Hostname=macumba
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.Active=true
ProfileList.default.ProfileName=default

self: <__main__.mainDialog instance at 0x85864fc>
omenu: None
refresh: 1


Comment 2 Harald Hoyer 2003-08-18 06:10:10 EDT
about the speed I cannot do anything.
There is also an official update (redhat-config-network-1.2.15) available from 
ftp://wallace/pub/redhat/linux/updates/9/en/os/noarch/
Comment 3 Harald Hoyer 2003-08-29 09:01:42 EDT
Francesco Parisi, for the second bug, you reported go to bug #103365

Note You need to log in before you can comment on or make changes to this bug.